
QGIS Application - Bug report #1794

Crash in Print Composer when zooming fast with mousewheel in map frame

2009-07-20 12:06 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11854

Description

This bug happens in the print composer. When you activate a map frame and zoom repeatedly with the mouse-wheel without waiting for

the previous zoom to finish, QGIS crashes.

Most mouse-wheels have concrete "steps" on the wheel. One step works fine, but two or more steps at once, without waiting for the

previous zoom to finish makes QGIS crash

History

#1 - 2009-07-20 02:06 AM - Giovanni Manghi

Confirmed. But seems to happen only if you have vector data in your map. If you add just rasters, doesn't seems to crash.

#2 - 2009-07-27 02:07 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:9cb3b3ff (SVN r11187)
